%global fontname lohit-devanagari
%global fontconf 66-%{fontname}.conf

Name:           %{fontname}-fonts
Version:        2.5.1
Release:        3%{?dist}
Summary:        Free Devanagari Script Font
Group:          User Interface/X
License:        OFL
URL:            https://fedorahosted.org/lohit/
Source0:        https://fedorahosted.org/releases/l/o/lohit/%{fontname}-%{version}.tar.gz
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch:      noarch
BuildRequires: fontforge >= 20080429
BuildRequires:  fontpackages-devel
Requires:       fontpackages-filesystem
Patch1: bug-803308-799004.patch

%description
This package provides a free Devanagari Script TrueType/OpenType font.

%prep
%setup -q -n %{fontname}-%{version} 
%patch1 -p1 -b .1-panose-and-sa-shape

%build
make

%install
rm -fr %{buildroot}

install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p *.ttf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{fontconf} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}
ln -s %{_fontconfig_templatedir}/%{fontconf} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}


%clean
rm -fr %{buildroot}


%_font_pkg -f %{fontconf} *.ttf

%doc ChangeLog COPYRIGHT OFL.txt AUTHORS README ChangeLog.old


%changelog
* Wed Apr 25 2012 Pravin Satpute <psatpute@redhat.com> - 2.5.1-3
- Resoved bug #803308 and #799004

* Thu Mar 01 2012 Pravin Satpute <psatpute@redhat.com> - 2.5.1-2
- Upstream new release with additional characters from Unicode 6.0

* Fri Oct 07 2011 Pravin Satpute <psatpute@redhat.com> - 2.5.0-1
- Upstream new release with relicensing to OFL

* Tue Jul 19 2011 Pravin Satpute <psatpute@redhat.com> - 2.4.5-4
- Resolved: bug 722382

* Wed Jun 22 2011 Pravin Satpute <psatpute@redhat.com> - 2.4.5-3
- Resolved: bug 715090, patch from Bernard Massot <bmassot@free.fr>

* Tue May 24 2011 Pravin Satpute <psatpute@redhat.com> - 2.4.5-2
- Resolved: bug 702058, patch from Bernard Massot <bmassot@free.fr>

* Fri Mar 25 2011 Pravin Satpute <psatpute@redhat.com> - 2.4.5-1
- Upstream release 2.4.5
- Removed hinting instructions bug 682667

* Fri Mar 25 2011 Pravin Satpute <psatpute@redhat.com> - 2.4.4-4
- Resolved: bug 682667

* Mon Feb 21 2011 Pravin Satpute <psatpute@redhat.com> - 2.4.4-3
- resolved bug 648423 and bug 670467

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Dec 28 2010 Pravin Satpute <psatpute@redhat.com> - 2.4.4-1
- upstream release 2.4.4

* Fri Nov 26 2010 Pravin Satpute <psatpute@redhat.com> - 2.4.3-8
- added nepali local support
- resolved bugs 648434, 648429, 648424, 648362

* Fri Oct 08 2010 Pravin Satpute <psatpute@redhat.com> - 2.4.3-7
- fixed bug 641297
- added rupee symbol

* Fri Apr 16 2010 Pravin Satpute <psatpute@redhat.com> - 2.4.3-6
- fixed bug 578034

* Thu Feb 04 2010 Pravin Satpute <psatpute@redhat.com> - 2.4.3-5
- done changes as per review comments bug 559936 

* Fri Jan 29 2010 Pravin Satpute <psatpute@redhat.com> - 2.4.3-4
- first release
- decided to keep only one font for all languages using devanagari script
